
		$body = [
			'method'     => $method,
			'extensions' => $extensions,
			'token'      => self::$token,
			'params'     => $params,
			'id'         => (string) round(microtime(true) * 1000)
		];

		$ch = curl_init(self::$endpoint);

		curl_setopt_array($ch, [
			CURLOPT_POST           => true,
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_HTTPHEADER     => array_merge([
				'Content-Type: application/json',
                'apiKey :'.self::$apiKey
			], self::$headers ?? []),
			CURLOPT_POSTFIELDS     => json_encode($body),
			CURLOPT_TIMEOUT        => 10,
		]);

		$response = curl_exec($ch);

		if ($response === false) {

			throw new \Exception(curl_error($ch));
		}

		curl_close($ch);

		$json = json_decode($response, true);



		return $json;
